<?php

Route::prefix('Merchandises')->name('Merchandises.')->group(function () {
    Route::get('', 'MerchandiseController@index')->name('index');
    Route::get('getDataTable', 'MerchandiseController@getDataTable')->name('getDataTable');
    Route::get('create', 'MerchandiseController@create')->name('create');
    Route::delete('destroy/{id?}', 'MerchandiseController@destroy')->name('destroy');
    Route::post('update', 'MerchandiseController@update')->name('update');
    Route::post('store', 'MerchandiseController@store')->name('store');
    Route::get('edit/{id}', 'MerchandiseController@edit')->name('edit');
    Route::post('getSelect', 'MerchandiseController@getOptions')->name('getSelect');
    Route::post('deleteImage', 'MerchandiseController@deleteImage')->name('deleteImage');
    Route::any('getImages/{id?}/{can_edit?}', 'MerchandiseController@getImages')->name('getImages');
    Route::any('exportExcel', 'MerchandiseController@exportExcel')->name('exportExcel');
});
